/*	This PowerTap example DoTask() is intentionally very simple so that the
	developer can focus on how to use the PowerTap Library.

	Your DoTask() function should be designed to handle each of your
	types of tasks that you want to distribute over the network.

	See Sample.c for more details.

	 1994 Always Thinking, Inc.    Glen Allen, Virginia  (800) 297-3888
*/

#include	"DoTask.h"

pascal	Boolean	DoTask( Handle taskData, long taskDataLen, Handle taskResult, long *resultLen )
{
/*
	DoTask() will be used in the main application and in the slave application
	across the network.

	Call PTIdle() at least 10 times / sec so the slaves CPU sharing setting
	will work properly. PTIdle() paces its calls to WaitNextEvent() so
	you cannot call PTIdle() too often.
	
	You must cast your handles in here because you are defining their size in DoTask.h.
*/

	long	i, t;

	// Kill time here for the sake of the example, but still call PTIdle() properly.
	t = TickCount();
	for ( i = 0L; i < 100000; i++ )			// about 100,000 iterations / sec
		if ( !(TickCount() % 6) )
			if ( PTIdle( 10L ) != noErr )	// PTIdle() ignores ticks when called from DoTask().
			{								// The ticks passed the main app to PTIdle() is used.
				// do stuff
									
				return FALSE;
			}

	t = TickCount() - t;

//____________________________________________________________________________________

	// This example DoTask routine simply finds the nth ( n = the task number) character
	// in a block of text (job data) and returns that character
	
	switch ( (**(TaskHandle) taskData).taskType )
	{
		case findChar:

			// do a findChar task:
			BlockMove( *gJobData + (**(TaskHandle) taskData).offset, *taskResult, 1L );
			*resultLen = 1L;
			
			break;

//		case someOtherTaskType:

//			do a different type of task
//			break;	...etc....

	}

//____________________________________________________________________________________


	return TRUE;

}	// DoTask
