/*	This PowerTap example DoTask() is intentionally very simple so that the
	developer can focus on how to use the PowerTap Library.

	Your DoTask() function should be designed to handle each of your
	types of tasks that you want to distribute over the network.

	See Sample.c for more details.

	 1994 Always Thinking, Inc.    Glen Allen, Virginia  (800) 297-3888
*/


extern	Handle	gJobData;	// the handle of the job data
extern	long	gJobLen;	// the length of the job data in bytes


// This is a list of the types of task that your DoTask() can handle.
// This sample tap application has just one type.

#define	findChar	1
// make up as many as you need
// #define	taskType2	2
// #define	taskType3	3
// #define	taskType4	4
// #define	taskType5	5


// The task structure is defined here by you.
// It could be just a block of unstructured data, if you want.

typedef struct TaskStruct {
	short	taskType;
	long	offset;
	// anything else you need...
} TaskStruct, **TaskHandle;


pascal	OSErr	PTIdle( long sleepTicks );
// Returns noErr when the task should continue.
// Call this at least 10 times per second (~ev. 6 ticks).
// It does a lot of essential things behind the scenes.
// The importance of 10/sec is that PTIdle() calls WaitNextEvent in such a way
// as to make the CPU Sharing setting accurate.
// You cannot call it too often because it won't call WaitNextEvent more than necessary.

pascal	Boolean	DoTask( Handle taskData, long taskDataLen, Handle taskResult, long *resultLen );
//	Provided by you, the developer - user. Used in both the main and slave applications.
//	Returns TRUE when the task completed normally.
//  You should return FALSE if PTIdle() returns anything but noErr.
//  The taskResult Handle is allocated for you. DO NOT allocate it yourself.

pascal	Boolean	InForeground( void );
//	Returns TRUE when the calling application is in the foreground
//	and FALSE when in the background
